Page 1 of 2 12 LastLast
Results 1 to 10 of 11
Discuss Question! about upgrading to 3.0 at the iOS 3.x (iPhone OS 3.x) - Hackint0sh.org; I was wondering if it's safe if I can upgrade my iPhone to 3.0.. I ...
  1. #1
    Rookie Array

    Join Date
    Sep 2007
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default Question! about upgrading to 3.0

    I was wondering if it's safe if I can upgrade my iPhone to 3.0.. I know i've read the sticky telling me about yellowsn0w. I called ATT to disable my data plan, if I did upgrade will they charge me?



  2. #2
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    Hi

    If you have an official AT&T iphone contract & you don't want/need to unlock on an unsupported carrier with yellowsn0w then you can update to 3.0 firmware.

    But if you do/did want to unlock in the future that will not be possible until an unlock is found for the 3.0 basebands if you do.
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  3. #3
    Rookie Array

    Join Date
    Sep 2007
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by n350z View Post
    Hi

    If you have an official AT&T iphone contract & you don't want/need to unlock on an unsupported carrier with yellowsn0w then you can update to 3.0 firmware.

    But if you do/did want to unlock in the future that will not be possible until an unlock is found for the 3.0 basebands if you do.
    What if I don't have a ATT iphone contract, but I called and disabled the data plan forever since I was data roaming($200 luckily)

    Thanks for the help!

  4. #4
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    Unless you have an official AT&T iphone contract registered sim card your phone will not activate its self correctly when it connect to itunes.

    Ones you update to 3.0 beta you'll have a baseband version that doesn't work with yellowsn0w & that means you'd lose the chance to unlock on other networks

    I sure non iphone AT&T data plans don't make any difference, it has to be the iPhone plan you're signed up to to for every thing to work officially.
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  5. #5
    Rookie Array

    Join Date
    Sep 2007
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I guess I shouldn't of taken chances.. my iPhone is now fucked.. I tried the fuzzyband and it didn't work.. I tried restoring it with 2.2.1 and no luck...


  6. #6
    Developer Array

    Join Date
    Jul 2008
    Posts
    471
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    29

    Default

    Quote Originally Posted by clickart View Post
    I guess I shouldn't of taken chances.. my iPhone is now fucked.. I tried the fuzzyband and it didn't work.. I tried restoring it with 2.2.1 and no luck...
    you read the warnings you were definitely told that 3.0 doesnt work with the older baseband so being aware of all these issues why in the world did you upgrade? even if you get back to 2.2.1 (which is a major hassle) you will still have the 3.0 baseband and if you have the newer bootloader (i think 5.9) fuzzyband wont work to get you back to where you started.

  7. #7
    Rookie Array

    Join Date
    Sep 2007
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by nitosoft View Post
    you read the warnings you were definitely told that 3.0 doesnt work with the older baseband so being aware of all these issues why in the world did you upgrade? even if you get back to 2.2.1 (which is a major hassle) you will still have the 3.0 baseband and if you have the newer bootloader (i think 5.9) fuzzyband wont work to get you back to where you started.
    Yes, my fault, but if I register my iPhone for $99 will it be fixed again?

  8. #8
    ac!
    ac! is offline
    Senior Professional Array

    Join Date
    Mar 2009
    Posts
    121
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    16

    Default

    get yourself a nokia.

  9. #9
    Developer Array

    Join Date
    Jul 2008
    Posts
    471
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    29

    Default

    Quote Originally Posted by clickart View Post
    Yes, my fault, but if I register my iPhone for $99 will it be fixed again?
    if by fixed do you mean unlocked? if the problem is that you need your phone unlocked there is a chance you are completely out of luck, buying the apple dev program will not fix any problems related to the need for an unlock.

  10. #10
    Peanut Brain Array Confucious's Avatar

    Join Date
    Nov 2008
    Location
    Woking, UK
    Posts
    505
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    32

    Default

    Quote Originally Posted by clickart View Post
    Yes, my fault, but if I register my iPhone for $99 will it be fixed again?
    Do you have an AT&T SIM that works? With Data?
    If so (I am assuming you are in the USA here) then all you need to do is find a developer who will register your UDID for you, there are plenty that will do it for a few dollars and some who will even do it for nothing.
    If you are not with AT&T (in the USA) you are fooked.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

    iPhone 4 locked to T-Mobile. 4.1 Limera1n'd


 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. [Question] Upgrading from 1.0.2 to 2.1
    By squirrelycc in forum PwnageTool
    Replies: 9
    Last Post: 10-14-2008, 12:15 AM
  2. Question about upgrading from 1.1.4 to 2.0.1
    By Commlock in forum PwnageTool
    Replies: 22
    Last Post: 08-12-2008, 01:50 PM
  3. [1.1.2 OTB] Question about upgrading to 1.1.3
    By Micgo in forum iPhone "2G" (Rev. 1)
    Replies: 2
    Last Post: 02-09-2008, 02:07 PM
  4. [1.1.3] Question about upgrading
    By joseluismb in forum iPhone "2G" (Rev. 1)
    Replies: 0
    Last Post: 01-27-2008, 11:23 PM
  5. Question about upgrading from 1.0.2. to 1.1.1
    By thadoggfather in forum General
    Replies: 1
    Last Post: 09-28-2007, 03:46 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 12:31 AM.
twitter, follow us!